#### Previous topic

scipy.interpolate.PPoly.extend

#### Next topic

scipy.interpolate.PPoly.from_bernstein_basis

# scipy.interpolate.PPoly.from_spline

classmethod `PPoly.``from_spline`(tck, extrapolate=None)

  Construct a piecewise polynomial from a spline

  Parameters:

  tck

  > A spline, as returned by `splrep` or a BSpline object.

  extrapolate : bool or ‘periodic’, optional

  > If bool, determines whether to extrapolate to out-of-bounds points based on first and last intervals, or to return NaNs. If ‘periodic’, periodic extrapolation is used. Default is True.